Loading...
Searching...
No Matches
sysinfo.h File Reference
`#include <BALL/common.h>`

Go to the source code of this file.

## Namespaces

namespace | BALL
namespace | BALL::SysInfo

## Functions

BALL_EXPORT LongIndex | BALL::SysInfo::getAvailableMemory ()
BALL_EXPORT LongIndex | BALL::SysInfo::getFreeMemory ()
BALL_EXPORT LongIndex | BALL::SysInfo::getTotalMemory ()
BALL_EXPORT LongIndex | BALL::SysInfo::getBufferedMemory ()
BALL_EXPORT LongIndex | BALL::SysInfo::getFreeSwapSpace ()
BALL_EXPORT Time | BALL::SysInfo::getUptime ()
BALL_EXPORT Index | BALL::SysInfo::getNumberOfProcessors ()